Subject: Re: [PATCH] Add contrib/credentials/netrc with GPG support, try #2

From: Ted Zlatanov <[email-masked]>
Date: Mon, 04 Feb 2013 18:54:11 -0500

On Mon, 04 Feb 2013 15:40:32 -0800 Junio C Hamano <[email-masked]> wrote: 

JCH> "Sorry we couldn't" sounded like an error messag to me.  If this is
JCH> a normal exit, then please make sure it is a normal exit.

OK; done in PATCHv4: removed all "Sorry" because they are not abnormal
exits.  I'll hold PATCHv4 until the below are known.

JCH> The review cycle is not like reviewers give you instructions and
JCH> designs and you blindly implement them.  It is a creative process
JCH> where you show the design and a clear implementation of that design.

OK.  I would like you to make the decisions I asked for, though:

- do you want to support backslashed newlines?
- do you want me to remove the statement modifiers?
- should all die() calls just print to STDERR and exit(0)?
- do you want to support multiple netrc files, as you and Peff suggested?

On all of those, I can go either way, it's just a little more work for me.

Ted